// exampleDlg.h : header file
//

#if !defined(AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_)
#define AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CExampleDlg dialog
typedef long __stdcall MEncryptPDF(long id,char *infile,char *outfile,char *userpassword,char *ownerpassword,
									long encryptlevel,long printing,long copying,long changing);
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MInformation(long id,char *title,char *subject,char *author,
									char *keywords,char *creator,char *producer);

typedef long __stdcall MWatermark(long id,char *text,long fsize,long fcolor,
									 long position,long angle,long xoff,long yoff,long asbackground);


class CExampleDlg : public CDialog
{
// Construction
public:
	CExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CExampleDlg)
	enum { IDD = IDD_EXAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
private:
	HMODULE			m_hinstLib;
	MEncryptPDF		*pMEncryptPDF;

	MBegin			*pMBegin;
	MInformation	*pMInformation;
	MWatermark		*pMWatermark;
	MEnd			*pMEnd;


private:
	BOOL LoadEncryptDll();
	BOOL FreeEncryptDll();


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXAMPLEDLG_H__5D05D027_8D05_4F2E_AD30_16E8B746AC92__INCLUDED_)
